use inc::Module::Install;

name 'Opsview-Web';
all_from 'lib/Opsview/Web.pm';

requires Catalyst => '5.70';

requires 'YAML';
requires 'Template';
requires 'Catalyst::Plugin::Session';
requires 'Catalyst::Plugin::Session::Store::FastMmap';
requires 'Catalyst::Plugin::Session::State::Cookie';
requires 'Catalyst::Plugin::Static::Simple';
requires 'Catalyst::Plugin::ConfigLoader';
requires 'Catalyst::Plugin::Authentication';
requires 'Catalyst::Plugin::Authentication::Store::DBIC';
requires 'Catalyst::View::TT';
requires 'HTML::Tree';
requires 'URI';
requires 'HTTP::Request';
requires 'HTTP::Request::AsCGI';
requires 'Crypt::PasswdMD5';
requires 'Module::Find';
requires 'XML::RSS';

catalyst_par_core();
catalyst;

install_script glob('script/*.pl');
auto_install;
WriteAll;
