#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#

# This package is required because the simple C::M::DBIC::Schema has its own ACCEPT_CONTEXT
# So we create this one so we can use InstancePerContext to get the user information
# This could probably be extended to other classes ala C::M::DBIC::Schema
package Opsview::Web::Model::Instance::Monitoringservers;

use Moose;
with 'Catalyst::Component::InstancePerContext';

sub build_per_context_instance {
    my ( $self, $c ) = @_;
    my $rs = $c->model("OpsviewSchema::Monitoringservers");
    $rs->user( $c->user );
    $rs;
}
