#
# AUTHORS:
#	Copyright (C) 2003-2011 Opsera Limited. All rights reserved
#
#    This file is part of Opsview
#
#    Opsview is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Opsview is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Opsview; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
package Opsview::Web::Model::OdwDB;

# Use Opsview modules in main location
use lib "/usr/local/nagios/lib";

use Module::Find qw(findallmod);

# The ACCEPT_CONTEXT routines return blessed references for template use

sub ACCEPT_CONTEXT { return bless( {}, 'Odw' ); }

foreach my $mod ( findallmod('Odw') ) {
    next if $mod =~ m/^Odw::Web/;
    eval "use ${mod};";
    if ($@) {
        die "Couldn't load ${mod}: $@";
    }
    my $pkg = $mod;
    $pkg =~ s/^Odw/Opsview::Web::Model::OdwDB/;
    {
        no strict 'refs';
        no warnings 'redefine';
        *{"${pkg}::ACCEPT_CONTEXT"} = sub { return bless( {}, $mod ); };
    }
}

1;
